import java.awt.*;
import java.awt.image.*;
import java.io.File;
import javax.imageio.ImageIO;
import java.lang.Math;

public class save {

 public static int width = 900;
 public static int height = 160;
 public static int[][] array = new int[height][width];

 public static void write_buffer_image (Graphics2D plot)  {
   for (int i = 0; i < height; i++) for (int j = 0; j < width; j++) {

     if (array[i][j] == 0) plot.setColor(new java.awt.Color( 80,  80,  80)); else
     if (array[i][j] == 1) plot.setColor(new java.awt.Color(230,   0,   0)); else
     if (array[i][j] == 2) plot.setColor(new java.awt.Color(255, 200,   0)); else
     plot.setColor(new java.awt.Color(0, 0, 0));

     plot.fillRect(j, i, 1, 1);
   }
 }

 public static void save_buffer_image (String filename) throws Exception {
   BufferedImage img = new BufferedImage(width,height,BufferedImage.TYPE_INT_ARGB);
   write_buffer_image(img.createGraphics());
   try {
     ImageIO.write(img, "png", new File(filename + ".png"));
   } catch (Exception ex) {
     throw new Exception("Save image failed!");
   }
 }

 public static void save_image (String filename) {
   try {
     save_buffer_image(filename);
   } catch (Exception ex) {
     System.exit(1);
   }
 }

 public static void random_state () {
   for (int i = 0; i < height; i++) for (int j = 0; j < width; j++) {
     if ((i<12) || (i>=height-12) || (j<12) || (j>=width-12)) array[i][j] = 0; else
     if (Math.random() > j / (double) width) array[i][j] = 1; else
     array[i][j] = 2;
   }
 }

 public static void main (String[] args) {
   random_state();
   save_image("output");
 }

}
